Problema GnuPlot y MacOSX

, por laura

Acabo de instalar GnuPlot en mi Mac, según las instrucciones tendría problemas si quería ejecutarlo sin Aqua. Así que he buscado el programa en http://aquaterm.sourceforge.net/ y lo he puesto, también con su dmg bien preparadito todo ha ido como la seda, o eso creía hasta que al ejecutar en la terminal:

laupri$ gnuplot dyld: Library not loaded: /usr/local/lib/libaquaterm.1.0.0.dylib Referenced from: /usr/local/bin/gnuplot Reason: image not found Trace/BPT trap
laupri$

Lo que he hecho ha sido listar en el directorio de las librerías cuales eran las librerias relacionadas con Aqua que acababa de instalar.

laupri:$ cd /usr/local/lib/

laupri:$ ls |grep aqua libaquaterm.1.0.1.dylib libaquaterm.dylib

Al fijarme en las versiones de las librerias me he dado cuenta que el programa gnuplot estaba pidíendome una versión anterior de Aqua que tengo instalada:

ls -slh libaquaterm.* 8 lrwxr-xr-x 1 root wheel 58B Aug 28 19:00 libaquaterm.1.0.1.dylib -> /Library/Frameworks/AquaTerm.framework/Versions/A/AquaTerm 8 lrwxr-xr-x 1 root wheel 58B Aug 28 19:00 libaquaterm.dylib -> /Library/Frameworks/AquaTerm.framework/Versions/A/AquaTerm

Intentar descargarme la versión antigua en la web de Aqua es imposible ya que sólo permiten la descarga de la última versión.

Luego he intentado modificar el ejecutable gnuplot, como si fuera un script o algo... pero es imposible también, por lo que la única cosa que me quedaba era... construir un link simbólico que llevara de la libreria antigua que me pide gnuplot hasta la nueva que me da el aqua, esto se resume así: sudo ln -s libaquaterm.1.0.1.dylib libaquaterm.1.0.0.dylib

And this the result:

laura$ gnuplot

G N U P L O T Version 4.0 patchlevel 0 last modified Thu Apr 15 14:44:22 CEST 2004 System: Darwin 8.7.0

Copyright (C) 1986 - 1993, 1998, 2004 Thomas Williams, Colin Kelley and many others

This is gnuplot version 4.0. Please refer to the documentation for command syntax changes. The old syntax will be accepted throughout the 4.0 series, but all save files use the new syntax.

Type `help` to access the on-line reference manual. The gnuplot FAQ is available from http://www.gnuplot.info/faq/

Send comments and requests for help to Send bugs, suggestions and mods to

Terminal type set to ’unknown’ gnuplot>

Respondre a aquesta breu
2 Missatges al fòrum

*
Problema GnuPlot y MacOSX
22 de setembre de 2006 13:43, per Glaucio

Solo hablo portugues, ok?

O mesmo problema aconteceu comigo, mas não usei o symbolic link. Eu fiz o seguinte: removi todos os arquivos AQUATERM e LIBAQUATERM, pois eram da versão 1.0.1. Baixei e instalei o AQUATERM 1.0.0. Instalei o X11 (você pode baixar no site da Apple). Em vez de abrir o terminal, abra o X11 (na pasta applications/utilities) e use o gnuplot nele.

PS: No meu Mac (OS X Tiger), preciso digitar o seguinte antes de usar o gnuplot: PATH=/usr/local/bin:$PATH export PATH

Saludos brasileños!!

Respondre a aquest missatge
*
Problema GnuPlot y MacOSX
22 de setembre de 2006 13:47, per Glaucio

PATH=/usr/local/bin:$PATH [enter]

export PATH [enter]